import { jsx } from "react/jsx-runtime";
import { Memory as Memory$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Memory = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Memory", ...props, children: /* @__PURE__ */ jsx(Memory$1, { weight: variant }) });
  }
);
Memory.displayName = "Memory";
Object.assign(Memory, { isGdsIcon: true });
export {
  Memory
};
